#ifndef BMP3_CALIBRATION_00_H_
#define BMP3_CALIBRATION_00_H_

/**
 Calibration and LED Pin Setup of BMP3 sensors
 This specific configuration is designed for usage with the CETI Hand Prototype from SoSe 2023
 Finger 1: CH2 (Ring)
 Finger 2: CH3 (Pinky)
 Finger 3: CH0 (Middle)
 Finger 4: CH1 (Index)
 Finger 5: CH4 (Thumb)

*/

#include "sam5_bmp3_wrapper_impl.h"

#ifdef BMP3_CALIBRATION_DEFINED
#error "Error while importing SAM5_BMP3_CALIBRATION_00, another calibration already defined for the SAM5 BMP3 Wrapper"
#endif
#define BMP3_CALIBRATION_DEFINED

#define BMP3_SENSOR_CH0_76_CONV_A0 -3.30578584288746
#define BMP3_SENSOR_CH0_76_CONV_A1 0.00334142446857868
#define BMP3_SENSOR_CH0_76_CONV_A2 0.0
#define BMP3_SENSOR_CH0_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH0_77_CONV_A0 0.0
#define BMP3_SENSOR_CH0_77_CONV_A1 1.0
#define BMP3_SENSOR_CH0_77_CONV_A2 0.0
#define BMP3_SENSOR_CH0_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH1_76_CONV_A0 -14.6893774055893
#define BMP3_SENSOR_CH1_76_CONV_A1 0.0174481323526633
#define BMP3_SENSOR_CH1_76_CONV_A2 -0.00000279594497017445
#define BMP3_SENSOR_CH1_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH1_77_CONV_A0 0.0
#define BMP3_SENSOR_CH1_77_CONV_A1 1.0
#define BMP3_SENSOR_CH1_77_CONV_A2 0.0
#define BMP3_SENSOR_CH1_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH2_76_CONV_A0 -4.02219277969439
#define BMP3_SENSOR_CH2_76_CONV_A1 0.00404352747235716
#define BMP3_SENSOR_CH2_76_CONV_A2 0
#define BMP3_SENSOR_CH2_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH2_77_CONV_A0 0.0
#define BMP3_SENSOR_CH2_77_CONV_A1 1.0
#define BMP3_SENSOR_CH2_77_CONV_A2 0.0
#define BMP3_SENSOR_CH2_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH3_76_CONV_A0 -4.75708027932328
#define BMP3_SENSOR_CH3_76_CONV_A1 0.00494724641553387
#define BMP3_SENSOR_CH3_76_CONV_A2 0.0
#define BMP3_SENSOR_CH3_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH3_77_CONV_A0 0.0
#define BMP3_SENSOR_CH3_77_CONV_A1 1.0
#define BMP3_SENSOR_CH3_77_CONV_A2 0.0
#define BMP3_SENSOR_CH3_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH4_76_CONV_A0 -1.56904573287313
#define BMP3_SENSOR_CH4_76_CONV_A1 0.00132579016506836
#define BMP3_SENSOR_CH4_76_CONV_A2 3.03883070987939e-07
#define BMP3_SENSOR_CH4_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH4_77_CONV_A0 0.0
#define BMP3_SENSOR_CH4_77_CONV_A1 1.0
#define BMP3_SENSOR_CH4_77_CONV_A2 0.0
#define BMP3_SENSOR_CH4_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH5_76_CONV_A0 0.0
#define BMP3_SENSOR_CH5_76_CONV_A1 1.0
#define BMP3_SENSOR_CH5_76_CONV_A2 0.0
#define BMP3_SENSOR_CH5_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH5_77_CONV_A0 0.0
#define BMP3_SENSOR_CH5_77_CONV_A1 1.0
#define BMP3_SENSOR_CH5_77_CONV_A2 0.0
#define BMP3_SENSOR_CH5_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH6_76_CONV_A0 0.0
#define BMP3_SENSOR_CH6_76_CONV_A1 1.0
#define BMP3_SENSOR_CH6_76_CONV_A2 0.0
#define BMP3_SENSOR_CH6_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH6_77_CONV_A0 0.0
#define BMP3_SENSOR_CH6_77_CONV_A1 1.0
#define BMP3_SENSOR_CH6_77_CONV_A2 0.0
#define BMP3_SENSOR_CH6_77_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH7_76_CONV_A0 0.0
#define BMP3_SENSOR_CH7_76_CONV_A1 1.0
#define BMP3_SENSOR_CH7_76_CONV_A2 0.0
#define BMP3_SENSOR_CH7_76_LED_PIN LED_UNUSED

#define BMP3_SENSOR_CH7_77_CONV_A0 0.0
#define BMP3_SENSOR_CH7_77_CONV_A1 1.0
#define BMP3_SENSOR_CH7_77_CONV_A2 0.0
#define BMP3_SENSOR_CH7_77_LED_PIN LED_UNUSED

#endif /* BMP3_CALIBRATION_00_H_ */